/*
 * led.h
 *
 *  Created on: Nov 4, 2017
 *      Author: Krzysztof Chojnowski
 */

#ifndef LED_H_
#define LED_H_

#define LED0_RCC_ENABLE __HAL_RCC_GPIOC_CLK_ENABLE
#define LED0_PIN        GPIO_PIN_6
#define LED0_PORT       GPIOC

#define LED1_RCC_ENABLE __HAL_RCC_GPIOC_CLK_ENABLE
#define LED1_PIN        GPIO_PIN_7
#define LED1_PORT       GPIOC

typedef enum {
  LED0,
  LED1,
} LED;

void Led_Config(void);
void Led_TurnOn(LED led);
void Led_TurnOff(LED led);

#endif /* LED_H_ */
